Groovy Documentation

## org.codehaus.groovy.grails.web.servlet
[Java] Interface FlashScope

    @SuppressWarnings("rawtypes")
    public interface FlashScope
    extends java.util.Map

Represents flash scope and allows a flash scope map to be set to the next state. Flash scope essentially allows variables to be maintained for the next state and the next state only, what this means is if objects are stored inside FlashScope on the first call to "next()" they will be still there, but on the subsequent call they will be cleared unless they have been set again since the last call to "next()"

Authors:
  Graeme Rocher

Method Summary

Methods inherited from interface java.util.Map

java.util.Map#get(java.lang.Object), java.util.Map#put(java.lang.Object, java.lang.Object), java.util.Map#equals(java.lang.Object), java.util.Map#values(), java.util.Map#hashCode(), java.util.Map#clear(), java.util.Map#isEmpty(), java.util.Map#size(), java.util.Map#entrySet(), java.util.Map#putAll(java.util.Map), java.util.Map#remove(java.lang.Object), java.util.Map#keySet(), java.util.Map#containsValue(java.lang.Object), java.util.Map#containsKey(java.lang.Object)

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation